=== modified file 'DBUS-API'
--- DBUS-API	2011-10-02 19:18:24 +0000
+++ DBUS-API	2011-03-17 18:14:34 +0000
@@ -5,7 +5,7 @@
 This file documents the D-Bus interface to the Mandos server.
 
 * Bus: System bus
-  Bus name: "se.recompile.Mandos"
+  Bus name: "se.bsnet.fukt.Mandos"
 
 
 * Object Paths:
@@ -17,7 +17,7 @@
 
   
 * Mandos Server Interface:
-  Interface name: "se.recompile.Mandos"
+  Interface name: "se.bsnet.fukt.Mandos"
   
 ** Methods:
 *** GetAllClients() → (ao: Clients)
@@ -44,7 +44,7 @@
 
 
 * Mandos Client Interface:
-  Interface name: "se.recompile.Mandos.Client"
+  Interface name: "se.bsnet.fukt.Mandos.Client"
   
 ** Methods
 *** Approve(b: Approve) → nothing
@@ -86,17 +86,15 @@
    | CheckerRunning (c)      | b    | Read/Write | N/A                 |
    | Created (d)             | s    | Read       | N/A                 |
    | Enabled (e)             | b    | Read/Write | N/A                 |
-   | Expires (f)             | s    | Read       | N/A                 |
-   | ExtendedTimeout (a)     | t    | Read/Write | extended_timeout    |
    | Fingerprint             | s    | Read       | fingerprint         |
    | Host                    | s    | Read/Write | host                |
    | Interval (a)            | t    | Read/Write | interval            |
-   | LastApprovalRequest (g) | s    | Read       | N/A                 |
-   | LastCheckedOK (h)       | s    | Read/Write | N/A                 |
-   | LastEnabled (i)         | s    | Read       | N/A                 |
+   | LastApprovalRequest (f) | s    | Read       | N/A                 |
+   | LastCheckedOK (g)       | s    | Read/Write | N/A                 |
+   | LastEnabled (h)         | s    | Read       | N/A                 |
    | Name                    | s    | Read       | (Section name)      |
    | ObjectPath              | o    | Read       | N/A                 |
-   | Secret (j)              | ay   | Write      | secret (or secfile) |
+   | Secret (i)              | ay   | Write      | secret (or secfile) |
    | Timeout (a)             | t    | Read/Write | timeout             |
    
    a) Represented as milliseconds.
@@ -111,23 +109,20 @@
    e) Setting this property is equivalent to calling Enable() or
       Disable().
    
-   f) The date and time this client will be disabled, as an RFC 3339
-      string, or an empty string if this has not happened.
-   
-   g) The date and time of the last approval request, as an RFC 3339
-      string, or an empty string if this has not happened.
-   
-   h) The date and time a checker was last successful, as an RFC 3339
-      string, or an empty string if this has not happened.  Setting
-      this property is equivalent to calling CheckedOK(), i.e. the
-      current time is set, regardless of the string sent.  Please
-      always use an empty string when setting this property, to allow
-      for possible future expansion.
-   
-   i) The date and time this client was last enabled, as an RFC 3339
-      string, or an empty string if this has not happened.
-   
-   j) A raw byte array, not hexadecimal digits.
+   f) The time of the last approval request, as an RFC 3339 string, or
+      an empty string if this has not happened.
+   
+   g) The last time a checker was successful, as an RFC 3339 string,
+      or an empty string if this has not happened.  Setting this
+      property is equivalent to calling CheckedOK(), i.e. the current
+      time is set, regardless of the string sent.  Please always use
+      an empty string when setting this property, to allow for
+      possible future expansion.
+   
+   h) The last time this client was enabled, as an RFC 3339 string, or
+      an empty string if this has not happened.
+   
+   i) A raw byte array, not hexadecimal digits.
 
 ** Signals
 *** CheckerCompleted(n: Exitcode, x: Waitstatus, s: Command)

=== modified file 'Makefile'
--- Makefile	2011-08-17 22:46:35 +0000
+++ Makefile	2011-08-08 21:12:37 +0000
@@ -54,7 +54,7 @@
 CFLAGS=$(WARN) $(DEBUG) $(FORTIFY) $(COVERAGE) $(OPTIMIZE) \
 	$(LANGUAGE) $(GNUTLS_CFLAGS) $(AVAHI_CFLAGS) $(GPGME_CFLAGS) \
 	-DVERSION='"$(version)"'
-LDFLAGS=-Xlinker --as-needed $(COVERAGE) $(LINK_FORTIFY) $(foreach flag,$(LINK_FORTIFY_LD),-Xlinker $(flag))
+LDFLAGS=$(COVERAGE) $(LINK_FORTIFY) $(foreach flag,$(LINK_FORTIFY_LD),-Xlinker $(flag))
 
 # Commands to format a DocBook <refentry> document into a manual page
 DOCBOOKTOMAN=$(strip cd $(dir $<); xsltproc --nonet --xinclude \

=== modified file 'README'
--- README	2011-10-05 16:00:56 +0000
+++ README	2011-08-08 21:12:37 +0000
@@ -1,9 +1,9 @@
-Please see: http://www.recompile.se/mandos/man/intro.8mandos
+Please see: http://www.fukt.bsnet.se/mandos/man/intro.8mandos
 
 This information previously in this file has been moved to the
 intro(8mandos) manual page.  Go to the above URL, or run this command:
 
-	man 8mandos intro
+	make intro.8mandos && man -l intro.8mandos
 
 In short, this is the Mandos system; it allows computers to have
 encrypted root file systems and at the same time be capable of remote

=== modified file 'TODO'
--- TODO	2011-09-26 19:36:18 +0000
+++ TODO	2011-08-08 21:12:37 +0000
@@ -2,8 +2,6 @@
 
 * Use _attribute_((nonnull)) wherever possible.
 
-* [[http://www.undeadly.org/cgi?action=article&sid=20110530221728][OpenBSD]]
-
 * mandos-applet
 
 * mandos-client
@@ -11,7 +9,6 @@
 ** TODO [#B] Use struct sockaddr_storage instead of a union
 ** TODO [#B] Use getaddrinfo(hints=AI_NUMERICHOST) instead of inet_pton()
 ** TODO [#B] Use getnameinfo(serv=NULL, NI_NUMERICHOST) instead of inet_ntop()
-** TODO [#B] Prefer /run/tmp over /tmp, if it exists
 
 * splashy
 ** TODO [#B] use scandir(3) instead of readdir(3)
@@ -58,8 +55,21 @@
 ** TODO [#C] DBusServiceObjectUsingSuper
 ** TODO [#B] Global enable/disable flag
 ** TODO [#B] By-client countdown on secrets given
+** TODO [#B] Fix problem with fsck taking a really long time
+   Whenever a client successfully gets a secret it could get a
+   one-time timeout boost to allow for an fsck-incurred delay
+** TODO [#A] Delay before client receives key
+   This would give an operator opportunity to cancel the request if
+   desired.
+** TODO [#A] Client manual approval mode
+   A client needs manual approval on the server before it gets the
+   secret
 ** TODO [#B] Support RFC 3339 time duration syntax
 ** More D-Bus methods
+*** NeedsApproval(50, True) -> timeout, default approve
+    Default approval is configurable, but True by default
+    + Approve(True) -> approve sending saved
+    + Approve(False) -> Close client connection immediately
 *** NeedsPassword(50) - Timeout, default disapprove
     + SetPass(u"gazonk", True) -> Approval, persistent
     + Approve(False) -> Close client connection immediately
@@ -96,12 +106,15 @@
 ** Show timeout countdown for approval
 
 * mandos-keygen
+** TODO Loop until passwords match when run interactively
 ** TODO "--secfile" option
    Using the "secfile" option instead of "secret"
 ** TODO [#B] "--test" option
    For testing decryption before rebooting.
 
 * Makefile
+** TODO Add "--Xlinker --as-needed"
+   http://udrepper.livejournal.com/19395.html
 ** TODO [#C] Implement DEB_BUILD_OPTIONS
    http://www.debian.org/doc/debian-policy/ch-source.html#s-debianrules-options
 

=== modified file 'clients.conf'
--- clients.conf	2011-09-19 09:42:55 +0000
+++ clients.conf	2010-09-12 03:00:40 +0000
@@ -4,19 +4,14 @@
 
 # How long until a client is disabled and not be allowed to get the
 # data this server holds.
-;timeout = 5m
+;timeout = 1h
 
 # How often to run the checker to confirm that a client is still up.
 # Note: a new checker will not be started if an old one is still
 # running.  The server will wait for a checker to complete until the
 # above "timeout" occurs, at which time the client will be disabled,
 # and any running checker killed.
-;interval = 2m
-
-# Extended timeout is an added timeout that is given once after a
-# password has been sent sucessfully to a client.  This allows for
-# additional delays caused by file system checks and quota checks.
-;extended_timeout = 15m
+;interval = 5m
 
 # What command to run as "the checker".
 ;checker = fping -q -- %%(host)s
@@ -75,7 +70,7 @@
 ;host = 192.0.2.3
 ;
 ;# Parameters from the [DEFAULT] section can be overridden per client.
-;interval = 1m
+;interval = 5m
 ;
 ;# This client requires manual approval before it receives its secret.
 ;approved_by_default = False

=== modified file 'dbus-mandos.conf'
--- dbus-mandos.conf	2011-10-02 19:18:24 +0000
+++ dbus-mandos.conf	2009-11-09 07:35:16 +0000
@@ -7,18 +7,12 @@
     <allow own="se.bsnet.fukt.Mandos"/>
     <allow send_destination="se.bsnet.fukt.Mandos"/>
     <allow receive_sender="se.bsnet.fukt.Mandos"/>
-    <allow own="se.recompile.Mandos"/>
-    <allow send_destination="se.recompile.Mandos"/>
-    <allow receive_sender="se.recompile.Mandos"/>
   </policy>
   
   <policy user="root">
     <allow own="se.bsnet.fukt.Mandos"/>
     <allow send_destination="se.bsnet.fukt.Mandos"/>
     <allow receive_sender="se.bsnet.fukt.Mandos"/>
-    <allow own="se.recompile.Mandos"/>
-    <allow send_destination="se.recompile.Mandos"/>
-    <allow receive_sender="se.recompile.Mandos"/>
   </policy>
 
 </busconfig>

=== modified file 'debian/control'
--- debian/control	2011-10-05 16:00:56 +0000
+++ debian/control	2011-03-17 18:13:40 +0000
@@ -1,16 +1,16 @@
 Source: mandos
 Section: admin
 Priority: extra
-Maintainer: Mandos Maintainers <mandos@recompile.se>
-Uploaders: Teddy Hogeborn <teddy@recompile.se>,
-	   Björn Påhlsson <belorn@recompile.se>
+Maintainer: Mandos Maintainers <mandos@fukt.bsnet.se>
+Uploaders: Teddy Hogeborn <teddy@fukt.bsnet.se>,
+	   Björn Påhlsson <belorn@fukt.bsnet.se>
 Build-Depends: debhelper (>= 7), docbook-xml, docbook-xsl,
 	libavahi-core-dev, libgpgme11-dev, libgnutls-dev, xsltproc,
 	pkg-config
 Standards-Version: 3.9.1
-Vcs-Bzr: http://ftp.recompile.se/pub/mandos/trunk
-Vcs-Browser: http://bzr.recompile.se/loggerhead/mandos/trunk/files
-Homepage: http://www.recompile.se/mandos
+Vcs-Bzr: http://ftp.fukt.bsnet.se/pub/mandos/trunk
+Vcs-Browser: http://bzr.fukt.bsnet.se/loggerhead/mandos/trunk/files
+Homepage: http://www.fukt.bsnet.se/mandos
 
 Package: mandos
 Architecture: all
@@ -18,7 +18,7 @@
 	python-avahi, python-gobject, avahi-daemon, adduser,
 	python-urwid, python (>=2.7) | python-argparse
 Recommends: fping
-Description: server giving encrypted passwords to Mandos clients
+Description: a server giving encrypted passwords to Mandos clients
  This is the server part of the Mandos system, which allows
  computers to have encrypted root file systems and at the
  same time be capable of remote and/or unattended reboots.

=== modified file 'debian/copyright'
--- debian/copyright	2011-10-05 16:00:56 +0000
+++ debian/copyright	2011-02-27 17:26:35 +0000
@@ -1,8 +1,8 @@
 Format-Specification:
  http://wiki.debian.org/Proposals/CopyrightFormat?action=recall&rev=233
 Upstream-Name: Mandos
-Upstream-Maintainer: Mandos Maintainers <mandos@recompile.se>
-Upstream-Source: <http://www.recompile.se/mandos>
+Upstream-Maintainer: Mandos Maintainers <mandos@fukt.bsnet.se>
+Upstream-Source: <http://www.fukt.bsnet.se/mandos>
 
 Files: *
 Copyright: Copyright © 2008-2011 Teddy Hogeborn

=== modified file 'debian/mandos-client.README.Debian'
--- debian/mandos-client.README.Debian	2011-10-05 16:00:56 +0000
+++ debian/mandos-client.README.Debian	2010-09-27 17:53:53 +0000
@@ -1,3 +1,25 @@
+* Choose the Client Network Interface
+  
+  Please make sure that the correct network interface is specified in
+  the DEVICE setting in the "/etc/initramfs-tools/initramfs.conf"
+  file.  If the setting is empty, the interface will be autodetected
+  at boot time, which may not be correct.  *If* the DEVICE setting is
+  changed, it will be necessary to update the initrd image by running
+  the command
+  
+	update-initramfs -k all -u
+  
+  The device can be overridden at boot time on the Linux kernel
+  command line using the sixth colon-separated field of the "ip="
+  option; for exact syntax, read the documentation in the file
+  "/usr/share/doc/linux-doc-*/Documentation/filesystems/nfsroot.txt",
+  available in the "linux-doc-*" package.
+  
+  Note that since this network interface is used in the initial RAM
+  disk environment, the network interface *must* exist at that stage.
+  Thus, the interface can *not* be a pseudo-interface such as "br0" or
+  "tun0"; instead, a real interface (such as "eth0") must be used.
+
 * Adding a Client Password to the Server
   
   The server must be given a password to give back to the client on
@@ -24,34 +46,6 @@
   it, and output it to standard output.  There it can be verified to
   be the correct password, before rebooting.
 
-* Emergency Escape
-  
-  If it ever should be necessary, the Mandos client can be temporarily
-  prevented from running at startup by passing the parameter
-  "mandos=off" to the kernel.
-
-* Specifying a Client Network Interface
-  
-  At boot time the network interface to use will by default be
-  automatically detected.  If should result in an incorrect interface,
-  edit the DEVICE setting in the "/etc/initramfs-tools/initramfs.conf"
-  file.  (The default setting is empty, meaning to autodetect the
-  interface.)  *If* the DEVICE setting is changed, it will be
-  necessary to update the initrd image by running the command
-  
-	update-initramfs -k all -u
-  
-  The device can be overridden at boot time on the Linux kernel
-  command line using the sixth colon-separated field of the "ip="
-  option; for exact syntax, read the documentation in the file
-  "/usr/share/doc/linux-doc-*/Documentation/filesystems/nfsroot.txt",
-  available in the "linux-doc-*" package.
-  
-  Note that since this network interface is used in the initial RAM
-  disk environment, the network interface *must* exist at that stage.
-  Thus, the interface can *not* be a pseudo-interface such as "br0" or
-  "tun0"; instead, only real interface (such as "eth0") can be used.
-
 * User-Supplied Plugins
   
   Any plugins found in "/etc/mandos/plugins.d" will override and add
@@ -68,14 +62,19 @@
   Mandos client will be the new default way for getting a password for
   the root file system when booting.
 
+* Emergency Escape
+  
+  If it ever should be necessary, the Mandos client can be temporarily
+  prevented from running at startup by passing the parameter
+  "mandos=off" to the kernel.
+
 * Non-local Connection (Not Using ZeroConf)
   
   If the "ip=" kernel command line option is used to specify a
   complete IP address and device name, as noted above, it then becomes
   possible to specify a specific IP address and port to connect to,
   instead of using ZeroConf.  The syntax for doing this is
-  "mandos=connect:<IP_ADDRESS>:<PORT_NUMBER>" on the kernel command
-  line.
+  "mandos=connect:<IP_ADDRESS>:<PORT_NUMBER>".
   
   For very advanced users, it it possible to specify simply
   "mandos=connect" on the kernel command line to make the system only
@@ -84,4 +83,4 @@
   work, "--options-for=mandos-client:--connect=<ADDRESS>:<PORT>" needs
   to be manually added to the file "/etc/mandos/plugin-runner.conf".
 
- -- Teddy Hogeborn <teddy@recompile.se>, Wed,  5 Oct 2011 17:50:22 +0200
+ -- Teddy Hogeborn <teddy@fukt.bsnet.se>, Mon, 27 Sep 2010 19:53:21 +0200

=== modified file 'debian/mandos.README.Debian'
--- debian/mandos.README.Debian	2011-10-05 16:00:56 +0000
+++ debian/mandos.README.Debian	2009-09-08 06:28:20 +0000
@@ -1,10 +1,10 @@
 The Mandos server is useless without at least one configured client in
 /etc/mandos/clients.conf.  To create one, install the "mandos-client"
-package on a client computer, and, on the client, run the command
+package on a client computer, and run the command
 
 	# mandos-keygen --password
 
-to get a config file stanza.  Append the output of that command to the
-file "/etc/mandos/clients.conf" on the Mandos server computer.
+there to get a config file stanza.  Append the output of that command
+to the file "/etc/mandos/clients.conf" on the Mandos server.
 
- -- Teddy Hogeborn <teddy@recompile.se>, Wed,  5 Oct 2011 17:51:22 +0200
+ -- Teddy Hogeborn <teddy@fukt.bsnet.se>, Tue,  8 Sep 2009 06:57:45 +0200

=== modified file 'debian/watch'
--- debian/watch	2011-10-05 16:00:56 +0000
+++ debian/watch	2010-09-15 17:17:46 +0000
@@ -1,2 +1,2 @@
 version=3
-ftp://ftp.recompile.se/pub/mandos/mandos[-_]([^\s]+?)(?:\.orig)?\.tar\.(?:gz|bz2|7z|xz)
+ftp://ftp.fukt.bsnet.se/pub/mandos/mandos[-_]([^\s]+?)(?:\.orig)?\.tar\.(?:gz|bz2|7z|xz)

=== modified file 'init.d-mandos'
--- init.d-mandos	2011-10-05 16:00:56 +0000
+++ init.d-mandos	2009-09-16 23:28:39 +0000
@@ -9,8 +9,8 @@
 # Description:       Gives encrypted passwords to Mandos clients
 ### END INIT INFO
 
-# Author: Teddy Hogeborn <teddy@recompile.se>
-# Author: Björn Påhlsson <belorn@recompile.se>
+# Author: Teddy Hogeborn <teddy@fukt.bsnet.se>
+# Author: Björn Påhlsson <belorn@fukt.bsnet.se>
 #
 # Please remove the "Author" lines above and replace them
 # with your own name if you copy and modify this script.

=== modified file 'intro.xml'
--- intro.xml	2011-10-05 16:00:56 +0000
+++ intro.xml	2011-08-08 21:12:37 +0000
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -18,14 +18,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>
@@ -392,7 +392,7 @@
     <variablelist>
       <varlistentry>
 	<term>
-	  <ulink url="http://www.recompile.se/mandos">Mandos</ulink>
+	  <ulink url="http://www.fukt.bsnet.se/mandos">Mandos</ulink>
 	</term>
 	<listitem>
 	  <para>

=== modified file 'mandos'
--- mandos	2011-10-05 16:00:56 +0000
+++ mandos	2011-07-27 17:58:27 +0000
@@ -28,7 +28,7 @@
 # along with this program.  If not, see
 # <http://www.gnu.org/licenses/>.
 # 
-# Contact the authors at <mandos@recompile.se>.
+# Contact the authors at <mandos@fukt.bsnet.se>.
 # 
 
 from __future__ import (division, absolute_import, print_function,
@@ -62,7 +62,6 @@
 import functools
 import cPickle as pickle
 import multiprocessing
-import types
 
 import dbus
 import dbus.service
@@ -265,12 +264,6 @@
         self.server_state_changed(self.server.GetState())
 
 
-def _timedelta_to_milliseconds(td):
-    "Convert a datetime.timedelta() to milliseconds"
-    return ((td.days * 24 * 60 * 60 * 1000)
-            + (td.seconds * 1000)
-            + (td.microseconds // 1000))
-        
 class Client(object):
     """A representation of a client host served by this server.
     
@@ -304,10 +297,7 @@
     secret:     bytestring; sent verbatim (over TLS) to client
     timeout:    datetime.timedelta(); How long from last_checked_ok
                                       until this client is disabled
-    extended_timeout:   extra long timeout when password has been sent
     runtime_expansions: Allowed attributes for runtime expansion.
-    expires:    datetime.datetime(); time (UTC) when a client will be
-                disabled, or None
     """
     
     runtime_expansions = ("approval_delay", "approval_duration",
@@ -315,20 +305,23 @@
                           "host", "interval", "last_checked_ok",
                           "last_enabled", "name", "timeout")
     
+    @staticmethod
+    def _timedelta_to_milliseconds(td):
+        "Convert a datetime.timedelta() to milliseconds"
+        return ((td.days * 24 * 60 * 60 * 1000)
+                + (td.seconds * 1000)
+                + (td.microseconds // 1000))
+    
     def timeout_milliseconds(self):
         "Return the 'timeout' attribute in milliseconds"
-        return _timedelta_to_milliseconds(self.timeout)
-    
-    def extended_timeout_milliseconds(self):
-        "Return the 'extended_timeout' attribute in milliseconds"
-        return _timedelta_to_milliseconds(self.extended_timeout)    
+        return self._timedelta_to_milliseconds(self.timeout)
     
     def interval_milliseconds(self):
         "Return the 'interval' attribute in milliseconds"
-        return _timedelta_to_milliseconds(self.interval)
-    
+        return self._timedelta_to_milliseconds(self.interval)
+
     def approval_delay_milliseconds(self):
-        return _timedelta_to_milliseconds(self.approval_delay)
+        return self._timedelta_to_milliseconds(self.approval_delay)
     
     def __init__(self, name = None, disable_hook=None, config=None):
         """Note: the 'checker' key in 'config' sets the
@@ -361,13 +354,11 @@
         self.last_enabled = None
         self.last_checked_ok = None
         self.timeout = string_to_delta(config["timeout"])
-        self.extended_timeout = string_to_delta(config["extended_timeout"])
         self.interval = string_to_delta(config["interval"])
         self.disable_hook = disable_hook
         self.checker = None
         self.checker_initiator_tag = None
         self.disable_initiator_tag = None
-        self.expires = None
         self.checker_callback_tag = None
         self.checker_command = config["checker"]
         self.current_checker_command = None
@@ -393,18 +384,17 @@
             # Already enabled
             return
         self.send_changedstate()
+        self.last_enabled = datetime.datetime.utcnow()
         # Schedule a new checker to be started an 'interval' from now,
         # and every interval from then on.
         self.checker_initiator_tag = (gobject.timeout_add
                                       (self.interval_milliseconds(),
                                        self.start_checker))
         # Schedule a disable() when 'timeout' has passed
-        self.expires = datetime.datetime.utcnow() + self.timeout
         self.disable_initiator_tag = (gobject.timeout_add
                                    (self.timeout_milliseconds(),
                                     self.disable))
         self.enabled = True
-        self.last_enabled = datetime.datetime.utcnow()
         # Also start a new checker *right now*.
         self.start_checker()
     
@@ -419,7 +409,6 @@
         if getattr(self, "disable_initiator_tag", False):
             gobject.source_remove(self.disable_initiator_tag)
             self.disable_initiator_tag = None
-        self.expires = None
         if getattr(self, "checker_initiator_tag", False):
             gobject.source_remove(self.checker_initiator_tag)
             self.checker_initiator_tag = None
@@ -451,19 +440,16 @@
             logger.warning("Checker for %(name)s crashed?",
                            vars(self))
     
-    def checked_ok(self, timeout=None):
+    def checked_ok(self):
         """Bump up the timeout for this client.
         
         This should only be called when the client has been seen,
         alive and well.
         """
-        if timeout is None:
-            timeout = self.timeout
         self.last_checked_ok = datetime.datetime.utcnow()
         gobject.source_remove(self.disable_initiator_tag)
-        self.expires = datetime.datetime.utcnow() + timeout
         self.disable_initiator_tag = (gobject.timeout_add
-                                      (_timedelta_to_milliseconds(timeout),
+                                      (self.timeout_milliseconds(),
                                        self.disable))
     
     def need_approval(self):
@@ -510,7 +496,7 @@
                                        'replace')))
                     for attr in
                     self.runtime_expansions)
-                
+
                 try:
                     command = self.checker_command % escaped_attrs
                 except TypeError as error:
@@ -562,7 +548,6 @@
                 raise
         self.checker = None
 
-
 def dbus_service_property(dbus_interface, signature="v",
                           access="readwrite", byte_arrays=False):
     """Decorators for marking methods of a DBusObjectWithProperties to
@@ -614,7 +599,7 @@
 
 class DBusObjectWithProperties(dbus.service.Object):
     """A D-Bus object with properties.
-    
+
     Classes inheriting from this can use the dbus_service_property
     decorator to expose methods as D-Bus properties.  It exposes the
     standard Get(), Set(), and GetAll() methods on the D-Bus.
@@ -627,19 +612,24 @@
     def _get_all_dbus_properties(self):
         """Returns a generator of (name, attribute) pairs
         """
-        return ((prop.__get__(self)._dbus_name, prop.__get__(self))
-                for cls in self.__class__.__mro__
-                for name, prop in inspect.getmembers(cls, self._is_dbus_property))
+        return ((prop._dbus_name, prop)
+                for name, prop in
+                inspect.getmembers(self, self._is_dbus_property))
     
     def _get_dbus_property(self, interface_name, property_name):
         """Returns a bound method if one exists which is a D-Bus
         property with the specified name and interface.
         """
-        for cls in  self.__class__.__mro__:
-            for name, value in inspect.getmembers(cls, self._is_dbus_property):
-                if value._dbus_name == property_name and value._dbus_interface == interface_name:
-                    return value.__get__(self)
-        
+        for name in (property_name,
+                     property_name + "_dbus_property"):
+            prop = getattr(self, name, None)
+            if (prop is None
+                or not self._is_dbus_property(prop)
+                or prop._dbus_name != property_name
+                or (interface_name and prop._dbus_interface
+                    and interface_name != prop._dbus_interface)):
+                continue
+            return prop
         # No such property
         raise DBusPropertyNotFound(self.dbus_object_path + ":"
                                    + interface_name + "."
@@ -679,7 +669,7 @@
     def GetAll(self, interface_name):
         """Standard D-Bus property GetAll() method, see D-Bus
         standard.
-        
+
         Note: Will not include properties with access="write".
         """
         all = {}
@@ -747,109 +737,6 @@
         return xmlstring
 
 
-def datetime_to_dbus (dt, variant_level=0):
-    """Convert a UTC datetime.datetime() to a D-Bus type."""
-    if dt is None:
-        return dbus.String("", variant_level = variant_level)
-    return dbus.String(dt.isoformat(),
-                       variant_level=variant_level)
-
-class AlternateDBusNamesMetaclass(DBusObjectWithProperties.__metaclass__):
-    """Applied to an empty subclass of a D-Bus object, this metaclass
-    will add additional D-Bus attributes matching a certain pattern.
-    """
-    def __new__(mcs, name, bases, attr):
-        # Go through all the base classes which could have D-Bus
-        # methods, signals, or properties in them
-        for base in (b for b in bases
-                     if issubclass(b, dbus.service.Object)):
-            # Go though all attributes of the base class
-            for attrname, attribute in inspect.getmembers(base):
-                # Ignore non-D-Bus attributes, and D-Bus attributes
-                # with the wrong interface name
-                if (not hasattr(attribute, "_dbus_interface")
-                    or not attribute._dbus_interface
-                    .startswith("se.recompile.Mandos")):
-                    continue
-                # Create an alternate D-Bus interface name based on
-                # the current name
-                alt_interface = (attribute._dbus_interface
-                                 .replace("se.recompile.Mandos",
-                                          "se.bsnet.fukt.Mandos"))
-                # Is this a D-Bus signal?
-                if getattr(attribute, "_dbus_is_signal", False):
-                    # Extract the original non-method function by
-                    # black magic
-                    nonmethod_func = (dict(
-                            zip(attribute.func_code.co_freevars,
-                                attribute.__closure__))["func"]
-                                      .cell_contents)
-                    # Create a new, but exactly alike, function
-                    # object, and decorate it to be a new D-Bus signal
-                    # with the alternate D-Bus interface name
-                    new_function = (dbus.service.signal
-                                    (alt_interface,
-                                     attribute._dbus_signature)
-                                    (types.FunctionType(
-                                nonmethod_func.func_code,
-                                nonmethod_func.func_globals,
-                                nonmethod_func.func_name,
-                                nonmethod_func.func_defaults,
-                                nonmethod_func.func_closure)))
-                    # Define a creator of a function to call both the
-                    # old and new functions, so both the old and new
-                    # signals gets sent when the function is called
-                    def fixscope(func1, func2):
-                        """This function is a scope container to pass
-                        func1 and func2 to the "call_both" function
-                        outside of its arguments"""
-                        def call_both(*args, **kwargs):
-                            """This function will emit two D-Bus
-                            signals by calling func1 and func2"""
-                            func1(*args, **kwargs)
-                            func2(*args, **kwargs)
-                        return call_both
-                    # Create the "call_both" function and add it to
-                    # the class
-                    attr[attrname] = fixscope(attribute,
-                                              new_function)
-                # Is this a D-Bus method?
-                elif getattr(attribute, "_dbus_is_method", False):
-                    # Create a new, but exactly alike, function
-                    # object.  Decorate it to be a new D-Bus method
-                    # with the alternate D-Bus interface name.  Add it
-                    # to the class.
-                    attr[attrname] = (dbus.service.method
-                                      (alt_interface,
-                                       attribute._dbus_in_signature,
-                                       attribute._dbus_out_signature)
-                                      (types.FunctionType
-                                       (attribute.func_code,
-                                        attribute.func_globals,
-                                        attribute.func_name,
-                                        attribute.func_defaults,
-                                        attribute.func_closure)))
-                # Is this a D-Bus property?
-                elif getattr(attribute, "_dbus_is_property", False):
-                    # Create a new, but exactly alike, function
-                    # object, and decorate it to be a new D-Bus
-                    # property with the alternate D-Bus interface
-                    # name.  Add it to the class.
-                    attr[attrname] = (dbus_service_property
-                                      (alt_interface,
-                                       attribute._dbus_signature,
-                                       attribute._dbus_access,
-                                       attribute
-                                       ._dbus_get_args_options
-                                       ["byte_arrays"])
-                                      (types.FunctionType
-                                       (attribute.func_code,
-                                        attribute.func_globals,
-                                        attribute.func_name,
-                                        attribute.func_defaults,
-                                        attribute.func_closure)))
-        return type.__new__(mcs, name, bases, attr)
-
 class ClientDBus(Client, DBusObjectWithProperties):
     """A Client class using D-Bus
     
@@ -877,62 +764,49 @@
         DBusObjectWithProperties.__init__(self, self.bus,
                                           self.dbus_object_path)
         
-    def notifychangeproperty(transform_func,
-                             dbus_name, type_func=lambda x: x,
-                             variant_level=1):
-        """ Modify a variable so that it's a property which announces
-        its changes to DBus.
+    def _get_approvals_pending(self):
+        return self._approvals_pending
+    def _set_approvals_pending(self, value):
+        old_value = self._approvals_pending
+        self._approvals_pending = value
+        bval = bool(value)
+        if (hasattr(self, "dbus_object_path")
+            and bval is not bool(old_value)):
+            dbus_bool = dbus.Boolean(bval, variant_level=1)
+            self.PropertyChanged(dbus.String("ApprovalPending"),
+                                 dbus_bool)
 
-        transform_fun: Function that takes a value and transforms it
-                       to a D-Bus type.
-        dbus_name: D-Bus name of the variable
-        type_func: Function that transform the value before sending it
-                   to the D-Bus.  Default: no transform
-        variant_level: D-Bus variant level.  Default: 1
-        """
-        real_value = [None,]
-        def setter(self, value):
-            old_value = real_value[0]
-            real_value[0] = value
-            if hasattr(self, "dbus_object_path"):
-                if type_func(old_value) != type_func(real_value[0]):
-                    dbus_value = transform_func(type_func(real_value[0]),
-                                                variant_level)
-                    self.PropertyChanged(dbus.String(dbus_name),
-                                         dbus_value)
-        
-        return property(lambda self: real_value[0], setter)
-    
-    
-    expires = notifychangeproperty(datetime_to_dbus, "Expires")
-    approvals_pending = notifychangeproperty(dbus.Boolean,
-                                             "ApprovalPending",
-                                             type_func = bool)
-    enabled = notifychangeproperty(dbus.Boolean, "Enabled")
-    last_enabled = notifychangeproperty(datetime_to_dbus,
-                                        "LastEnabled")
-    checker = notifychangeproperty(dbus.Boolean, "CheckerRunning",
-                                   type_func = lambda checker: checker is not None)
-    last_checked_ok = notifychangeproperty(datetime_to_dbus,
-                                           "LastCheckedOK")
-    last_approval_request = notifychangeproperty(datetime_to_dbus,
-                                                 "LastApprovalRequest")
-    approved_by_default = notifychangeproperty(dbus.Boolean,
-                                               "ApprovedByDefault")
-    approval_delay = notifychangeproperty(dbus.UInt16, "ApprovalDelay",
-                                          type_func = _timedelta_to_milliseconds)
-    approval_duration = notifychangeproperty(dbus.UInt16, "ApprovalDuration",
-                                             type_func = _timedelta_to_milliseconds)
-    host = notifychangeproperty(dbus.String, "Host")
-    timeout = notifychangeproperty(dbus.UInt16, "Timeout",
-                                   type_func = _timedelta_to_milliseconds)
-    extended_timeout = notifychangeproperty(dbus.UInt16, "ExtendedTimeout",
-                                            type_func = _timedelta_to_milliseconds)
-    interval = notifychangeproperty(dbus.UInt16, "Interval",
-                                    type_func = _timedelta_to_milliseconds)
-    checker_command = notifychangeproperty(dbus.String, "Checker")
-    
-    del notifychangeproperty
+    approvals_pending = property(_get_approvals_pending,
+                                 _set_approvals_pending)
+    del _get_approvals_pending, _set_approvals_pending
+    
+    @staticmethod
+    def _datetime_to_dbus(dt, variant_level=0):
+        """Convert a UTC datetime.datetime() to a D-Bus type."""
+        return dbus.String(dt.isoformat(),
+                           variant_level=variant_level)
+    
+    def enable(self):
+        oldstate = getattr(self, "enabled", False)
+        r = Client.enable(self)
+        if oldstate != self.enabled:
+            # Emit D-Bus signals
+            self.PropertyChanged(dbus.String("Enabled"),
+                                 dbus.Boolean(True, variant_level=1))
+            self.PropertyChanged(
+                dbus.String("LastEnabled"),
+                self._datetime_to_dbus(self.last_enabled,
+                                       variant_level=1))
+        return r
+    
+    def disable(self, quiet = False):
+        oldstate = getattr(self, "enabled", False)
+        r = Client.disable(self, quiet=quiet)
+        if not quiet and oldstate != self.enabled:
+            # Emit D-Bus signal
+            self.PropertyChanged(dbus.String("Enabled"),
+                                 dbus.Boolean(False, variant_level=1))
+        return r
     
     def __del__(self, *args, **kwargs):
         try:
@@ -947,6 +821,9 @@
                          *args, **kwargs):
         self.checker_callback_tag = None
         self.checker = None
+        # Emit D-Bus signal
+        self.PropertyChanged(dbus.String("CheckerRunning"),
+                             dbus.Boolean(False, variant_level=1))
         if os.WIFEXITED(condition):
             exitstatus = os.WEXITSTATUS(condition)
             # Emit D-Bus signal
@@ -962,6 +839,23 @@
         return Client.checker_callback(self, pid, condition, command,
                                        *args, **kwargs)
     
+    def checked_ok(self, *args, **kwargs):
+        Client.checked_ok(self, *args, **kwargs)
+        # Emit D-Bus signal
+        self.PropertyChanged(
+            dbus.String("LastCheckedOK"),
+            (self._datetime_to_dbus(self.last_checked_ok,
+                                    variant_level=1)))
+    
+    def need_approval(self, *args, **kwargs):
+        r = Client.need_approval(self, *args, **kwargs)
+        # Emit D-Bus signal
+        self.PropertyChanged(
+            dbus.String("LastApprovalRequest"),
+            (self._datetime_to_dbus(self.last_approval_request,
+                                    variant_level=1)))
+        return r
+    
     def start_checker(self, *args, **kwargs):
         old_checker = self.checker
         if self.checker is not None:
@@ -974,8 +868,20 @@
             and old_checker_pid != self.checker.pid):
             # Emit D-Bus signal
             self.CheckerStarted(self.current_checker_command)
+            self.PropertyChanged(
+                dbus.String("CheckerRunning"),
+                dbus.Boolean(True, variant_level=1))
         return r
     
+    def stop_checker(self, *args, **kwargs):
+        old_checker = getattr(self, "checker", None)
+        r = Client.stop_checker(self, *args, **kwargs)
+        if (old_checker is not None
+            and getattr(self, "checker", None) is None):
+            self.PropertyChanged(dbus.String("CheckerRunning"),
+                                 dbus.Boolean(False, variant_level=1))
+        return r
+
     def _reset_approved(self):
         self._approved = None
         return False
@@ -983,13 +889,13 @@
     def approve(self, value=True):
         self.send_changedstate()
         self._approved = value
-        gobject.timeout_add(_timedelta_to_milliseconds
+        gobject.timeout_add(self._timedelta_to_milliseconds
                             (self.approval_duration),
                             self._reset_approved)
     
     
     ## D-Bus methods, signals & properties
-    _interface = "se.recompile.Mandos.Client"
+    _interface = "se.bsnet.fukt.Mandos.Client"
     
     ## Signals
     
@@ -1081,6 +987,9 @@
         if value is None:       # get
             return dbus.Boolean(self.approved_by_default)
         self.approved_by_default = bool(value)
+        # Emit D-Bus signal
+        self.PropertyChanged(dbus.String("ApprovedByDefault"),
+                             dbus.Boolean(value, variant_level=1))
     
     # ApprovalDelay - property
     @dbus_service_property(_interface, signature="t",
@@ -1089,15 +998,21 @@
         if value is None:       # get
             return dbus.UInt64(self.approval_delay_milliseconds())
         self.approval_delay = datetime.timedelta(0, 0, 0, value)
+        # Emit D-Bus signal
+        self.PropertyChanged(dbus.String("ApprovalDelay"),
+                             dbus.UInt64(value, variant_level=1))
     
     # ApprovalDuration - property
     @dbus_service_property(_interface, signature="t",
                            access="readwrite")
     def ApprovalDuration_dbus_property(self, value=None):
         if value is None:       # get
-            return dbus.UInt64(_timedelta_to_milliseconds(
+            return dbus.UInt64(self._timedelta_to_milliseconds(
                     self.approval_duration))
         self.approval_duration = datetime.timedelta(0, 0, 0, value)
+        # Emit D-Bus signal
+        self.PropertyChanged(dbus.String("ApprovalDuration"),
+                             dbus.UInt64(value, variant_level=1))
     
     # Name - property
     @dbus_service_property(_interface, signature="s", access="read")
@@ -1116,16 +1031,21 @@
         if value is None:       # get
             return dbus.String(self.host)
         self.host = value
+        # Emit D-Bus signal
+        self.PropertyChanged(dbus.String("Host"),
+                             dbus.String(value, variant_level=1))
     
     # Created - property
     @dbus_service_property(_interface, signature="s", access="read")
     def Created_dbus_property(self):
-        return dbus.String(datetime_to_dbus(self.created))
+        return dbus.String(self._datetime_to_dbus(self.created))
     
     # LastEnabled - property
     @dbus_service_property(_interface, signature="s", access="read")
     def LastEnabled_dbus_property(self):
-        return datetime_to_dbus(self.last_enabled)
+        if self.last_enabled is None:
+            return dbus.String("")
+        return dbus.String(self._datetime_to_dbus(self.last_enabled))
     
     # Enabled - property
     @dbus_service_property(_interface, signature="b",
@@ -1145,17 +1065,19 @@
         if value is not None:
             self.checked_ok()
             return
-        return datetime_to_dbus(self.last_checked_ok)
-    
-    # Expires - property
-    @dbus_service_property(_interface, signature="s", access="read")
-    def Expires_dbus_property(self):
-        return datetime_to_dbus(self.expires)
+        if self.last_checked_ok is None:
+            return dbus.String("")
+        return dbus.String(self._datetime_to_dbus(self
+                                                  .last_checked_ok))
     
     # LastApprovalRequest - property
     @dbus_service_property(_interface, signature="s", access="read")
     def LastApprovalRequest_dbus_property(self):
-        return datetime_to_dbus(self.last_approval_request)
+        if self.last_approval_request is None:
+            return dbus.String("")
+        return dbus.String(self.
+                           _datetime_to_dbus(self
+                                             .last_approval_request))
     
     # Timeout - property
     @dbus_service_property(_interface, signature="t",
@@ -1164,12 +1086,14 @@
         if value is None:       # get
             return dbus.UInt64(self.timeout_milliseconds())
         self.timeout = datetime.timedelta(0, 0, 0, value)
+        # Emit D-Bus signal
+        self.PropertyChanged(dbus.String("Timeout"),
+                             dbus.UInt64(value, variant_level=1))
         if getattr(self, "disable_initiator_tag", None) is None:
             return
         # Reschedule timeout
         gobject.source_remove(self.disable_initiator_tag)
         self.disable_initiator_tag = None
-        self.expires = None
         time_to_die = (self.
                        _timedelta_to_milliseconds((self
                                                    .last_checked_ok
@@ -1180,19 +1104,9 @@
             # The timeout has passed
             self.disable()
         else:
-            self.expires = (datetime.datetime.utcnow()
-                            + datetime.timedelta(milliseconds = time_to_die))
             self.disable_initiator_tag = (gobject.timeout_add
                                           (time_to_die, self.disable))
     
-    # ExtendedTimeout - property
-    @dbus_service_property(_interface, signature="t",
-                           access="readwrite")
-    def ExtendedTimeout_dbus_property(self, value=None):
-        if value is None:       # get
-            return dbus.UInt64(self.extended_timeout_milliseconds())
-        self.extended_timeout = datetime.timedelta(0, 0, 0, value)
-    
     # Interval - property
     @dbus_service_property(_interface, signature="t",
                            access="readwrite")
@@ -1200,6 +1114,9 @@
         if value is None:       # get
             return dbus.UInt64(self.interval_milliseconds())
         self.interval = datetime.timedelta(0, 0, 0, value)
+        # Emit D-Bus signal
+        self.PropertyChanged(dbus.String("Interval"),
+                             dbus.UInt64(value, variant_level=1))
         if getattr(self, "checker_initiator_tag", None) is None:
             return
         # Reschedule checker run
@@ -1207,7 +1124,7 @@
         self.checker_initiator_tag = (gobject.timeout_add
                                       (value, self.start_checker))
         self.start_checker()    # Start one now, too
-    
+
     # Checker - property
     @dbus_service_property(_interface, signature="s",
                            access="readwrite")
@@ -1215,6 +1132,10 @@
         if value is None:       # get
             return dbus.String(self.checker_command)
         self.checker_command = value
+        # Emit D-Bus signal
+        self.PropertyChanged(dbus.String("Checker"),
+                             dbus.String(self.checker_command,
+                                         variant_level=1))
     
     # CheckerRunning - property
     @dbus_service_property(_interface, signature="b",
@@ -1247,7 +1168,7 @@
         self._pipe.send(('init', fpr, address))
         if not self._pipe.recv():
             raise KeyError()
-    
+
     def __getattribute__(self, name):
         if(name == '_pipe'):
             return super(ProxyClient, self).__getattribute__(name)
@@ -1260,14 +1181,12 @@
                 self._pipe.send(('funcall', name, args, kwargs))
                 return self._pipe.recv()[1]
             return func
-    
+
     def __setattr__(self, name, value):
         if(name == '_pipe'):
             return super(ProxyClient, self).__setattr__(name, value)
         self._pipe.send(('setattr', name, value))
 
-class ClientDBusTransitional(ClientDBus):
-    __metaclass__ = AlternateDBusNamesMetaclass
 
 class ClientHandler(socketserver.BaseRequestHandler, object):
     """A class to handle client connections.
@@ -1281,17 +1200,17 @@
                         unicode(self.client_address))
             logger.debug("Pipe FD: %d",
                          self.server.child_pipe.fileno())
-            
+
             session = (gnutls.connection
                        .ClientSession(self.request,
                                       gnutls.connection
                                       .X509Credentials()))
-            
+
             # Note: gnutls.connection.X509Credentials is really a
             # generic GnuTLS certificate credentials object so long as
             # no X.509 keys are added to it.  Therefore, we can use it
             # here despite using OpenPGP certificates.
-            
+
             #priority = ':'.join(("NONE", "+VERS-TLS1.1",
             #                      "+AES-256-CBC", "+SHA1",
             #                      "+COMP-NULL", "+CTYPE-OPENPGP",
@@ -1303,7 +1222,7 @@
             (gnutls.library.functions
              .gnutls_priority_set_direct(session._c_object,
                                          priority, None))
-            
+
             # Start communication using the Mandos protocol
             # Get protocol number
             line = self.request.makefile().readline()
@@ -1314,7 +1233,7 @@
             except (ValueError, IndexError, RuntimeError) as error:
                 logger.error("Unknown protocol version: %s", error)
                 return
-            
+
             # Start GnuTLS connection
             try:
                 session.handshake()
@@ -1324,7 +1243,7 @@
                 # established.  Just abandon the request.
                 return
             logger.debug("Handshake succeeded")
-            
+
             approval_required = False
             try:
                 try:
@@ -1335,7 +1254,7 @@
                     logger.warning("Bad certificate: %s", error)
                     return
                 logger.debug("Fingerprint: %s", fpr)
-                
+
                 try:
                     client = ProxyClient(child_pipe, fpr,
                                          self.client_address)
@@ -1407,10 +1326,10 @@
                                  sent, len(client.secret)
                                  - (sent_size + sent))
                     sent_size += sent
-                
+
                 logger.info("Sending secret to %s", client.name)
                 # bump the timeout as if seen
-                client.checked_ok(client.extended_timeout)
+                client.checked_ok()
                 if self.server.use_dbus:
                     # Emit D-Bus signal
                     client.GotSecret()
@@ -1501,7 +1420,6 @@
         multiprocessing.Process(target = self.sub_process_main,
                                 args = (request, address)).start()
 
-
 class MultiprocessingMixInWithPipe(MultiprocessingMixIn, object):
     """ adds a pipe to the MixIn """
     def process_request(self, request, client_address):
@@ -1510,17 +1428,16 @@
         This function creates a new pipe in self.pipe
         """
         parent_pipe, self.child_pipe = multiprocessing.Pipe()
-        
+
         super(MultiprocessingMixInWithPipe,
               self).process_request(request, client_address)
         self.child_pipe.close()
         self.add_pipe(parent_pipe)
-    
+
     def add_pipe(self, parent_pipe):
         """Dummy function; override as necessary"""
         raise NotImplementedError
 
-
 class IPv6_TCPServer(MultiprocessingMixInWithPipe,
                      socketserver.TCPServer, object):
     """IPv6-capable TCP server.  Accepts 'None' as address and/or port
@@ -1674,7 +1591,7 @@
             kwargs = request[3]
             
             parent_pipe.send(('data', getattr(client_object, funcname)(*args, **kwargs)))
-        
+
         if command == 'getattr':
             attrname = request[1]
             if callable(client_object.__getattribute__(attrname)):
@@ -1686,7 +1603,7 @@
             attrname = request[1]
             value = request[2]
             setattr(client_object, attrname, value)
-        
+
         return True
 
 
@@ -1871,7 +1788,7 @@
     debuglevel = server_settings["debuglevel"]
     use_dbus = server_settings["use_dbus"]
     use_ipv6 = server_settings["use_ipv6"]
-    
+
     if server_settings["servicename"] != "Mandos":
         syslogger.setFormatter(logging.Formatter
                                ('Mandos (%s) [%%(process)d]:'
@@ -1879,9 +1796,8 @@
                                 % server_settings["servicename"]))
     
     # Parse config file with clients
-    client_defaults = { "timeout": "5m",
-                        "extended_timeout": "15m",
-                        "interval": "2m",
+    client_defaults = { "timeout": "1h",
+                        "interval": "5m",
                         "checker": "fping -q -- %%(host)s",
                         "host": "",
                         "approval_delay": "0s",
@@ -1938,7 +1854,7 @@
         level = getattr(logging, debuglevel.upper())
         syslogger.setLevel(level)
         console.setLevel(level)
-    
+
     if debug:
         # Enable all possible GnuTLS debugging
         
@@ -1975,10 +1891,8 @@
     # End of Avahi example code
     if use_dbus:
         try:
-            bus_name = dbus.service.BusName("se.recompile.Mandos",
+            bus_name = dbus.service.BusName("se.bsnet.fukt.Mandos",
                                             bus, do_not_queue=True)
-            old_bus_name = dbus.service.BusName("se.bsnet.fukt.Mandos",
-                                                bus, do_not_queue=True)
         except dbus.exceptions.NameExistsException as e:
             logger.error(unicode(e) + ", disabling D-Bus")
             use_dbus = False
@@ -1997,7 +1911,7 @@
     
     client_class = Client
     if use_dbus:
-        client_class = functools.partial(ClientDBusTransitional, bus = bus)        
+        client_class = functools.partial(ClientDBus, bus = bus)
     def client_config_items(config, section):
         special_settings = {
             "approved_by_default":
@@ -2033,7 +1947,7 @@
         del pidfilename
         
         signal.signal(signal.SIGINT, signal.SIG_IGN)
-    
+
     signal.signal(signal.SIGHUP, lambda signum, frame: sys.exit())
     signal.signal(signal.SIGTERM, lambda signum, frame: sys.exit())
     
@@ -2042,7 +1956,7 @@
             """A D-Bus proxy object"""
             def __init__(self):
                 dbus.service.Object.__init__(self, bus, "/")
-            _interface = "se.recompile.Mandos"
+            _interface = "se.bsnet.fukt.Mandos"
             
             @dbus.service.signal(_interface, signature="o")
             def ClientAdded(self, objpath):
@@ -2090,9 +2004,7 @@
             
             del _interface
         
-        class MandosDBusServiceTransitional(MandosDBusService):
-            __metaclass__ = AlternateDBusNamesMetaclass
-        mandos_dbus_service = MandosDBusServiceTransitional()
+        mandos_dbus_service = MandosDBusService()
     
     def cleanup():
         "Cleanup function; run on exit"
@@ -2162,6 +2074,5 @@
     # Must run before the D-Bus bus name gets deregistered
     cleanup()
 
-
 if __name__ == '__main__':
     main()

=== modified file 'mandos-clients.conf.xml'
--- mandos-clients.conf.xml	2011-10-05 16:00:56 +0000
+++ mandos-clients.conf.xml	2011-08-08 21:12:37 +0000
@@ -3,7 +3,7 @@
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY CONFNAME "mandos-clients.conf">
 <!ENTITY CONFPATH "<filename>/etc/mandos/clients.conf</filename>">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -20,14 +20,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>
@@ -182,29 +182,6 @@
       </varlistentry>
       
       <varlistentry>
-	<term><option>extended_timeout<literal> = </literal><replaceable
-	>TIME</replaceable></option></term>
-	<listitem>
-	  <para>
-	    This option is <emphasis>optional</emphasis>.
-	  </para>
-	  <para>
-	    Extended timeout is an added timeout that is given once
-	    after a password has been sent sucessfully to a client.
-	    The timeout is by default longer than the normal timeout,
-	    and is used for handling the extra long downtime while a
-	    machine is booting up.  Time to take into consideration
-	    when changing this value is file system checks and quota
-	    checks.  The default value is 15 minutes.
-	  </para>
-	  <para>
-	    The format of <replaceable>TIME</replaceable> is the same
-	    as for <varname>timeout</varname> below.
-	  </para>
-	</listitem>
-      </varlistentry>
-      
-      <varlistentry>
 	<term><option>fingerprint<literal> = </literal
 	><replaceable>HEXSTRING</replaceable></option></term>
 	<listitem>
@@ -252,7 +229,7 @@
 	    will wait for a checker to complete until the below
 	    <quote><varname>timeout</varname></quote> occurs, at which
 	    time the client will be disabled, and any running checker
-	    killed.  The default interval is 2 minutes.
+	    killed.  The default interval is 5 minutes.
 	  </para>
 	  <para>
 	    The format of <replaceable>TIME</replaceable> is the same
@@ -322,11 +299,10 @@
 	    This option is <emphasis>optional</emphasis>.
 	  </para>
 	  <para>
-	    The timeout is how long the server will wait, after a
-	    successful checker run, until a client is disabled and not
-	    allowed to get the data this server holds.  By default
-	    Mandos will use 5 minutes.  See also the
-	    <option>extended_timeout</option> option.
+	    The timeout is how long the server will wait (for either a
+	    successful checker run or a client receiving its secret)
+	    until a client is disabled and not allowed to get the data
+	    this server holds.  By default Mandos will use 1 hour.
 	  </para>
 	  <para>
 	    The <replaceable>TIME</replaceable> is specified as a
@@ -444,8 +420,8 @@
     <informalexample>
       <programlisting>
 [DEFAULT]
-timeout = 5m
-interval = 2m
+timeout = 1h
+interval = 5m
 checker = fping -q -- %%(host)s
 
 # Client "foo"

=== modified file 'mandos-ctl'
--- mandos-ctl	2011-10-05 16:00:56 +0000
+++ mandos-ctl	2011-07-27 17:58:27 +0000
@@ -19,7 +19,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 # 
-# Contact the authors at <mandos@recompile.se>.
+# Contact the authors at <mandos@fukt.bsnet.se>.
 # 
 
 from __future__ import (division, absolute_import, print_function,
@@ -52,10 +52,9 @@
     "ApprovalDelay": "Approval Delay",
     "ApprovalDuration": "Approval Duration",
     "Checker": "Checker",
-    "ExtendedTimeout" : "Extended Timeout"
     }
 defaultkeywords = ("Name", "Enabled", "Timeout", "LastCheckedOK")
-domain = "se.recompile"
+domain = "se.bsnet.fukt"
 busname = domain + ".Mandos"
 server_path = "/"
 server_interface = domain + ".Mandos"
@@ -150,7 +149,6 @@
                 options.remove,
                 options.checker is not None,
                 options.timeout is not None,
-                options.extended_timeout is not None,
                 options.interval is not None,
                 options.approved_by_default is not None,
                 options.approval_delay is not None,
@@ -187,8 +185,6 @@
                         help="Set checker command for client")
     parser.add_argument("-t", "--timeout",
                         help="Set timeout for client")
-    parser.add_argument("--extended-timeout",
-                        help="Set extended timeout for client")
     parser.add_argument("-i", "--interval",
                         help="Set checker interval for client")
     parser.add_argument("--approve-by-default", action="store_true",
@@ -274,8 +270,7 @@
                         "LastEnabled", "ApprovalPending",
                         "ApprovedByDefault",
                         "LastApprovalRequest", "ApprovalDelay",
-                        "ApprovalDuration", "Checker",
-                        "ExtendedTimeout")
+                        "ApprovalDuration", "Checker")
         else:
             keywords = defaultkeywords
         
@@ -330,11 +325,6 @@
                            timedelta_to_milliseconds
                            (string_to_delta(options.timeout)),
                            dbus_interface=dbus.PROPERTIES_IFACE)
-            if options.extended_timeout:
-                client.Set(client_interface, "ExtendedTimeout",
-                           timedelta_to_milliseconds
-                           (string_to_delta(options.extended_timeout)),
-                           dbus_interface=dbus.PROPERTIES_IFACE)
             if options.secret:
                 client.Set(client_interface, "Secret",
                            dbus.ByteArray(open(options.secret,

=== modified file 'mandos-ctl.xml'
--- mandos-ctl.xml	2011-10-05 16:00:56 +0000
+++ mandos-ctl.xml	2011-08-08 21:12:37 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos-ctl">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>
@@ -95,11 +95,6 @@
       </group>
       <sbr/>
       <group>
-	<arg choice="plain"><option>--extended-timeout
-	<replaceable>TIME</replaceable></option></arg>
-      </group>
-      <sbr/>
-      <group>
 	<arg choice="plain"><option>--interval
 	<replaceable>TIME</replaceable></option></arg>
 	<arg choice="plain"><option>-i
@@ -323,19 +318,6 @@
 	  </para>
 	</listitem>
       </varlistentry>
-
-      <varlistentry>
-	<term><option>--extended-timeout
-	<replaceable>TIME</replaceable></option></term>
-	<listitem>
-	  <para>
-	    Set the <varname>extended_timeout</varname> option of the
-	    specified client(s); see <citerefentry><refentrytitle
-	    >mandos-clients.conf</refentrytitle><manvolnum
-	    >5</manvolnum></citerefentry>.
-	  </para>
-	</listitem>
-      </varlistentry>
       
       <varlistentry>
 	<term><option>--interval

=== modified file 'mandos-keygen'
--- mandos-keygen	2011-10-05 16:00:56 +0000
+++ mandos-keygen	2011-07-27 17:58:27 +0000
@@ -18,7 +18,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 # 
-# Contact the authors at <mandos@recompile.se>.
+# Contact the authors at <mandos@fukt.bsnet.se>.
 # 
 
 VERSION="1.3.1"
@@ -192,7 +192,7 @@
 shred --remove \"$RINGDIR\"/sec*;
 test -n \"$BATCHFILE\" && rm --force \"$BATCHFILE\"; \
 rm --recursive --force \"$RINGDIR\";
-tty --quiet && stty echo; \
+stty echo; \
 " EXIT
 
 set -e
@@ -289,37 +289,31 @@
     
     FILECOMMENT="Encrypted password for a Mandos client"
     
-    while [ ! -s "$SECFILE" ]; do
-	if [ -n "$PASSFILE" ]; then
-	    cat "$PASSFILE"
+    if [ -n "$PASSFILE" ]; then
+	cat "$PASSFILE"
+    else
+	stty -echo
+	echo -n "Enter passphrase: " >&2
+	first="$(head --lines=1 | tr --delete '\n')"
+	echo >&2
+	echo -n "Repeat passphrase: " >&2
+	second="$(head --lines=1 | tr --delete '\n')"
+	echo >&2
+	stty echo
+	if [ "$first" != "$second" ]; then
+	    echo "Passphrase mismatch" >&2
+	    touch "$RINGDIR"/mismatch
 	else
-	    tty --quiet && stty -echo
-	    read -p "Enter passphrase: " first
-	    tty --quiet && echo >&2
-	    read -p "Repeat passphrase: " second
-	    if tty --quiet; then
-		echo >&2
-		stty echo
-	    fi
-	    if [ "$first" != "$second" ]; then
-		echo "Passphrase mismatch" >&2
-		touch "$RINGDIR"/mismatch
-	    else
-		echo -n "$first"
-	    fi
-	fi | gpg --quiet --batch --no-tty --no-options --enable-dsa2 \
-	    --homedir "$RINGDIR" --trust-model always --armor \
-	    --encrypt --sign --recipient "$FINGERPRINT" --comment \
-	    "$FILECOMMENT" > "$SECFILE"
-	if [ -e "$RINGDIR"/mismatch ]; then
-	    rm --force "$RINGDIR"/mismatch
-	    if tty --quiet; then
-		> "$SECFILE"
-	    else
-		exit 1
-	    fi
+	    echo -n "$first"
 	fi
-    done
+    fi | gpg --quiet --batch --no-tty --no-options --enable-dsa2 \
+	--homedir "$RINGDIR" --trust-model always --armor --encrypt \
+	--sign --recipient "$FINGERPRINT" --comment "$FILECOMMENT" \
+	> "$SECFILE"
+    if [ -e "$RINGDIR"/mismatch ]; then
+	rm --force "$RINGDIR"/mismatch
+	exit 1
+    fi
     
     cat <<-EOF
 	[$KEYNAME]

=== modified file 'mandos-keygen.xml'
--- mandos-keygen.xml	2011-10-05 16:00:56 +0000
+++ mandos-keygen.xml	2011-08-08 21:12:37 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos-keygen">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>

=== modified file 'mandos-monitor'
--- mandos-monitor	2011-10-05 16:00:56 +0000
+++ mandos-monitor	2011-07-27 17:58:27 +0000
@@ -19,7 +19,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 # 
-# Contact the authors at <mandos@recompile.se>.
+# Contact the authors at <mandos@fukt.bsnet.se>.
 # 
 
 from __future__ import (division, absolute_import, print_function,
@@ -49,7 +49,7 @@
 logging.getLogger('dbus.proxies').setLevel(logging.CRITICAL)
 
 # Some useful constants
-domain = 'se.recompile'
+domain = 'se.bsnet.fukt'
 server_interface = domain + '.Mandos'
 client_interface = domain + '.Mandos.Client'
 version = "1.3.1"
@@ -200,7 +200,6 @@
         else:
             self._update_timer_callback_lock -= 1
         if old == 0 and self._update_timer_callback_lock:
-            # Will update the shown timer value every second
             self._update_timer_callback_tag = (gobject.timeout_add
                                                (1000,
                                                 self.update_timer))
@@ -315,14 +314,14 @@
                 message = "Denial in %s. (a)pprove?"
             message = message % unicode(timer).rsplit(".", 1)[0]
         elif self.last_checker_failed:
-            # When checker has failed, print a timer until client expires
-            expires = self.properties["Expires"]
-            if expires == "":
-                timer = datetime.timedelta(0)
-            else:
-                expires = datetime.datetime.strptime(expires,
-                                                     '%Y-%m-%dT%H:%M:%S.%f')
-                timer = expires - datetime.datetime.utcnow()
+            timeout = datetime.timedelta(milliseconds
+                                         = self.properties
+                                         ["Timeout"])
+            last_ok = isoformat_to_datetime(
+                max((self.properties["LastCheckedOK"]
+                     or self.properties["Created"]),
+                    self.properties["LastEnabled"]))
+            timer = timeout - (datetime.datetime.utcnow() - last_ok)
             message = ('A checker has failed! Time until client'
                        ' gets disabled: %s'
                            % unicode(timer).rsplit(".", 1)[0])
@@ -347,8 +346,7 @@
             self.update_hook()
     
     def update_timer(self):
-        """called by gobject. Will indefinitely loop until
-        gobject.source_remove() on tag is called"""
+        "called by gobject"
         self.update()
         return True             # Keep calling this
     

=== modified file 'mandos-monitor.xml'
--- mandos-monitor.xml	2011-10-05 16:00:56 +0000
+++ mandos-monitor.xml	2011-08-08 21:12:37 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos-monitor">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>

=== modified file 'mandos.conf.xml'
--- mandos.conf.xml	2011-10-05 16:00:56 +0000
+++ mandos.conf.xml	2011-08-08 21:12:37 +0000
@@ -3,7 +3,7 @@
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY CONFNAME "mandos.conf">
 <!ENTITY CONFPATH "<filename>/etc/mandos/mandos.conf</filename>">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -20,14 +20,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>

=== modified file 'mandos.lsm'
--- mandos.lsm	2011-10-05 16:00:56 +0000
+++ mandos.lsm	2011-07-27 17:58:27 +0000
@@ -7,13 +7,13 @@
 unattended reboots.
 Keywords:	boot, encryption, luks, cryptsetup, network, openpgp,
 tls, dm-crypt
-Author:		teddy@recompile.se (Teddy Hogeborn),
-		belorn@recompile.se (Björn Påhlsson)
-Maintained-by:	teddy@recompile.se (Teddy Hogeborn),
-		belorn@recompile.se (Björn Påhlsson)
-Primary-site: http://www.recompile.se/mandos
+Author:		teddy@fukt.bsnet.se (Teddy Hogeborn),
+		belorn@fukt.bsnet.se (Björn Påhlsson)
+Maintained-by:	teddy@fukt.bsnet.se (Teddy Hogeborn),
+		belorn@fukt.bsnet.se (Björn Påhlsson)
+Primary-site: http://www.fukt.bsnet.se/mandos
 	      136K mandos_1.3.1.orig.tar.gz
-Alternate-site: ftp://ftp.recompile.se/pub/mandos
+Alternate-site: ftp://ftp.fukt.bsnet.se/pub/mandos
 		136K mandos_1.3.1.orig.tar.gz
 Platforms:	Requires GCC, GNU libC, Avahi, GnuPG, Python 2.6, and
 various other libraries.  While made for Debian GNU/Linux, it is

=== modified file 'mandos.xml'
--- mandos.xml	2011-10-05 16:00:56 +0000
+++ mandos.xml	2011-08-08 21:12:37 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>
@@ -117,16 +117,14 @@
     <para>
       <command>&COMMANDNAME;</command> is a server daemon which
       handles incoming request for passwords for a pre-defined list of
-      client host computers. For an introduction, see
-      <citerefentry><refentrytitle>intro</refentrytitle>
-      <manvolnum>8mandos</manvolnum></citerefentry>. The Mandos server
-      uses Zeroconf to announce itself on the local network, and uses
-      TLS to communicate securely with and to authenticate the
-      clients.  The Mandos server uses IPv6 to allow Mandos clients to
-      use IPv6 link-local addresses, since the clients will probably
-      not have any other addresses configured (see <xref
-      linkend="overview"/>).  Any authenticated client is then given
-      the stored pre-encrypted password for that specific client.
+      client host computers.  The Mandos server uses Zeroconf to
+      announce itself on the local network, and uses TLS to
+      communicate securely with and to authenticate the clients.  The
+      Mandos server uses IPv6 to allow Mandos clients to use IPv6
+      link-local addresses, since the clients will probably not have
+      any other addresses configured (see <xref linkend="overview"/>).
+      Any authenticated client is then given the stored pre-encrypted
+      password for that specific client.
     </para>
   </refsect1>
   
@@ -354,9 +352,9 @@
       for some time, the client is assumed to be compromised and is no
       longer eligible to receive the encrypted password.  (Manual
       intervention is required to re-enable a client.)  The timeout,
-      extended timeout, checker program, and interval between checks
-      can be configured both globally and per client; see
-      <citerefentry><refentrytitle>mandos-clients.conf</refentrytitle>
+      checker program, and interval between checks can be configured
+      both globally and per client; see <citerefentry>
+      <refentrytitle>mandos-clients.conf</refentrytitle>
       <manvolnum>5</manvolnum></citerefentry>.  A client successfully
       receiving its password will also be treated as a successful
       checker run.

=== modified file 'plugin-runner.c'
--- plugin-runner.c	2011-10-05 16:00:56 +0000
+++ plugin-runner.c	2011-07-16 00:29:19 +0000
@@ -19,7 +19,7 @@
  * along with this program.  If not, see
  * <http://www.gnu.org/licenses/>.
  * 
- * Contact the authors at <mandos@recompile.se>.
+ * Contact the authors at <mandos@fukt.bsnet.se>.
  */
 
 #define _GNU_SOURCE		/* TEMP_FAILURE_RETRY(), getline(),
@@ -79,7 +79,7 @@
 #define AFILE "/conf/conf.d/mandos/plugin-runner.conf"
 
 const char *argp_program_version = "plugin-runner " VERSION;
-const char *argp_program_bug_address = "<mandos@recompile.se>";
+const char *argp_program_bug_address = "<mandos@fukt.bsnet.se>";
 
 typedef struct plugin{
   char *name;			/* can be NULL or any plugin name */

=== modified file 'plugin-runner.xml'
--- plugin-runner.xml	2011-10-05 16:00:56 +0000
+++ plugin-runner.xml	2011-08-08 21:12:37 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "plugin-runner">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>

=== modified file 'plugins.d/askpass-fifo.c'
--- plugins.d/askpass-fifo.c	2011-10-05 16:00:56 +0000
+++ plugins.d/askpass-fifo.c	2011-07-13 02:24:39 +0000
@@ -19,7 +19,7 @@
  * along with this program.  If not, see
  * <http://www.gnu.org/licenses/>.
  * 
- * Contact the authors at <mandos@recompile.se>.
+ * Contact the authors at <mandos@fukt.bsnet.se>.
  */
 
 #define _GNU_SOURCE		/* TEMP_FAILURE_RETRY() */

=== modified file 'plugins.d/askpass-fifo.xml'
--- plugins.d/askpass-fifo.xml	2011-10-05 16:00:56 +0000
+++ plugins.d/askpass-fifo.xml	2011-08-08 21:12:37 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "askpass-fifo">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>

=== modified file 'plugins.d/mandos-client.c'
--- plugins.d/mandos-client.c	2011-10-05 16:00:56 +0000
+++ plugins.d/mandos-client.c	2011-08-07 14:49:02 +0000
@@ -26,7 +26,7 @@
  * along with this program.  If not, see
  * <http://www.gnu.org/licenses/>.
  * 
- * Contact the authors at <mandos@recompile.se>.
+ * Contact the authors at <mandos@fukt.bsnet.se>.
  */
 
 /* Needed by GPGME, specifically gpgme_data_seek() */
@@ -127,7 +127,7 @@
 bool debug = false;
 static const char mandos_protocol_version[] = "1";
 const char *argp_program_version = "mandos-client " VERSION;
-const char *argp_program_bug_address = "<mandos@recompile.se>";
+const char *argp_program_bug_address = "<mandos@fukt.bsnet.se>";
 static const char sys_class_net[] = "/sys/class/net";
 char *connect_to = NULL;
 

=== modified file 'plugins.d/mandos-client.xml'
--- plugins.d/mandos-client.xml	2011-10-05 16:00:56 +0000
+++ plugins.d/mandos-client.xml	2011-08-08 21:12:37 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos-client">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>

=== modified file 'plugins.d/password-prompt.c'
--- plugins.d/password-prompt.c	2011-10-05 16:00:56 +0000
+++ plugins.d/password-prompt.c	2011-07-27 17:58:27 +0000
@@ -19,7 +19,7 @@
  * along with this program.  If not, see
  * <http://www.gnu.org/licenses/>.
  * 
- * Contact the authors at <mandos@recompile.se>.
+ * Contact the authors at <mandos@fukt.bsnet.se>.
  */
 
 #define _GNU_SOURCE		/* getline(), asprintf() */
@@ -67,7 +67,7 @@
 int signal_received;
 bool debug = false;
 const char *argp_program_version = "password-prompt " VERSION;
-const char *argp_program_bug_address = "<mandos@recompile.se>";
+const char *argp_program_bug_address = "<mandos@fukt.bsnet.se>";
 
 /* Needed for conflict resolution */
 const char plymouth_name[] = "plymouthd";

=== modified file 'plugins.d/password-prompt.xml'
--- plugins.d/password-prompt.xml	2011-10-05 16:00:56 +0000
+++ plugins.d/password-prompt.xml	2011-08-08 21:12:37 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "password-prompt">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>

=== modified file 'plugins.d/plymouth.c'
--- plugins.d/plymouth.c	2011-10-05 16:00:56 +0000
+++ plugins.d/plymouth.c	2011-07-13 02:24:39 +0000
@@ -19,7 +19,7 @@
  * along with this program.  If not, see
  * <http://www.gnu.org/licenses/>.
  * 
- * Contact the authors at <mandos@recompile.se>.
+ * Contact the authors at <mandos@fukt.bsnet.se>.
  */
 
 #define _GNU_SOURCE		/* asprintf(), TEMP_FAILURE_RETRY() */
@@ -54,17 +54,15 @@
 #include <stdarg.h>		/* va_list, va_start(), ... */
 
 sig_atomic_t interrupted_by_signal = 0;
-
-/* Used by Ubuntu 11.04 (Natty Narwahl) */
-const char plymouth_old_pid[] = "/dev/.initramfs/plymouth.pid";
-/* Used by Ubuntu 11.10 (Oneiric Ocelot) */
-const char plymouth_pid[] = "/run/initramfs/plymouth.pid";
-
+const char plymouth_pid[] = "/dev/.initramfs/plymouth.pid";
 const char plymouth_path[] = "/bin/plymouth";
 const char plymouthd_path[] = "/sbin/plymouthd";
 const char *plymouthd_default_argv[] = {"/sbin/plymouthd",
 					"--mode=boot",
 					"--attach-to-session",
+					"--pid-file="
+					"/dev/.initramfs/"
+					"plymouth.pid",
 					NULL };
 
 static void termination_handler(__attribute__((unused))int signum){
@@ -262,9 +260,8 @@
 
 pid_t get_pid(void){
   int ret;
+  FILE *pidfile = fopen(plymouth_pid, "r");
   uintmax_t maxvalue = 0;
-  FILE *pidfile = fopen(plymouth_pid, "r");
-  /* Try the new pid file location */
   if(pidfile != NULL){
     ret = fscanf(pidfile, "%" SCNuMAX, &maxvalue);
     if(ret != 1){
@@ -272,18 +269,6 @@
     }
     fclose(pidfile);
   }
-  /* Try the old pid file location */
-  if(maxvalue == 0){
-    pidfile = fopen(plymouth_pid, "r");
-    if(pidfile != NULL){
-      ret = fscanf(pidfile, "%" SCNuMAX, &maxvalue);
-      if(ret != 1){
-	maxvalue = 0;
-      }
-      fclose(pidfile);
-    }
-  }
-  /* Look for a plymouth process */
   if(maxvalue == 0){
     struct dirent **direntries = NULL;
     ret = scandir("/proc", &direntries, is_plymouth, alphasort);

=== modified file 'plugins.d/plymouth.xml'
--- plugins.d/plymouth.xml	2011-10-05 16:00:56 +0000
+++ plugins.d/plymouth.xml	2011-08-08 21:12:37 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "plymouth">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>

=== modified file 'plugins.d/splashy.c'
--- plugins.d/splashy.c	2011-10-05 16:00:56 +0000
+++ plugins.d/splashy.c	2011-07-13 02:24:39 +0000
@@ -19,7 +19,7 @@
  * along with this program.  If not, see
  * <http://www.gnu.org/licenses/>.
  * 
- * Contact the authors at <mandos@recompile.se>.
+ * Contact the authors at <mandos@fukt.bsnet.se>.
  */
 
 #define _GNU_SOURCE		/* TEMP_FAILURE_RETRY(), asprintf() */

=== modified file 'plugins.d/splashy.xml'
--- plugins.d/splashy.xml	2011-10-05 16:00:56 +0000
+++ plugins.d/splashy.xml	2011-08-08 21:12:37 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "splashy">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>

=== modified file 'plugins.d/usplash.c'
--- plugins.d/usplash.c	2011-10-05 16:00:56 +0000
+++ plugins.d/usplash.c	2011-07-13 02:24:39 +0000
@@ -19,7 +19,7 @@
  * along with this program.  If not, see
  * <http://www.gnu.org/licenses/>.
  * 
- * Contact the authors at <mandos@recompile.se>.
+ * Contact the authors at <mandos@fukt.bsnet.se>.
  */
 
 #define _GNU_SOURCE		/* asprintf(), TEMP_FAILURE_RETRY() */

=== modified file 'plugins.d/usplash.xml'
--- plugins.d/usplash.xml	2011-10-05 16:00:56 +0000
+++ plugins.d/usplash.xml	2011-08-08 21:12:37 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "usplash">
-<!ENTITY TIMESTAMP "2011-10-03">
+<!ENTITY TIMESTAMP "2011-08-08">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -19,14 +19,14 @@
 	<firstname>Björn</firstname>
 	<surname>Påhlsson</surname>
 	<address>
-	  <email>belorn@recompile.se</email>
+	  <email>belorn@fukt.bsnet.se</email>
 	</address>
       </author>
       <author>
 	<firstname>Teddy</firstname>
 	<surname>Hogeborn</surname>
 	<address>
-	  <email>teddy@recompile.se</email>
+	  <email>teddy@fukt.bsnet.se</email>
 	</address>
       </author>
     </authorgroup>

